Skip to main content
GET
/
invoices
/
{id}
Get an invoice
curl --request GET \
  --url https://api.alguna.io/invoices/{id} \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "amount_paid": "0.00",
  "amount_remaining": "110.00",
  "billing_period": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "currency": "USD",
  "customer_id": "<string>",
  "description": "<string>",
  "id": "<string>",
  "line_items": [
    {
      "description": "<string>",
      "id": "<string>",
      "is_editable": true,
      "quantity": "1",
      "total_price": "100.00",
      "unit_price": "100.00",
      "billing_period_end": "2023-11-07T05:31:56Z",
      "billing_period_start": "2023-11-07T05:31:56Z",
      "product_id": "<string>"
    }
  ],
  "status": "draft",
  "subtotal": "100.00",
  "tax": "10.00",
  "total": "110.00",
  "updated_at": "2023-11-07T05:31:56Z",
  "billing_period_end": "2023-11-07T05:31:56Z",
  "billing_period_start": "2023-11-07T05:31:56Z",
  "due_date": "2023-11-07T05:31:56Z",
  "external_id": "<string>",
  "external_provider": "<string>",
  "external_reference": "<string>",
  "external_url": "<string>",
  "invoicing_date": "2023-11-07T05:31:56Z",
  "issue_date": "2023-11-07T05:31:56Z",
  "paid_date": "2023-11-07T05:31:56Z",
  "purchase_order_number": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Path Parameters

id
string
required

Unique identifier for the invoice

Response

Success

amount_paid
string
required

Amount that has been paid

Example:

"0.00"

amount_remaining
string
required

Remaining amount due

Example:

"110.00"

billing_period
string
required

Formatted billing period string

created_at
string<date-time>
required

Timestamp when the invoice was created

currency
string
required

ISO 4217 currency code

Example:

"USD"

customer_id
string
required

Customer this invoice belongs to

description
string
required

Invoice description or memo

id
string
required

Unique identifier for the invoice

line_items
object[]
required

Line items on this invoice

status
enum<string>
required

Current status of the invoice

Available options:
draft,
upcoming,
pending_approval,
scheduled,
processing,
issuing,
issued,
void,
paid,
canceled,
overdue
subtotal
string
required

Sum of all line item totals before tax

Example:

"100.00"

tax
string
required

Total tax amount

Example:

"10.00"

total
string
required

Total amount including tax

Example:

"110.00"

updated_at
string<date-time>
required

Timestamp when the invoice was last updated

billing_period_end
string<date-time> | null

End of the billing period

billing_period_start
string<date-time> | null

Start of the billing period

due_date
string<date-time> | null

Date the invoice payment is due

external_id
string

Identifier in the external payment provider

external_provider
string

External payment provider name

external_reference
string

Customer-facing invoice reference number

external_url
string

URL to the invoice in the external system

invoicing_date
string<date-time> | null

Date the invoice is scheduled for processing

issue_date
string<date-time> | null

Date the invoice was issued

paid_date
string<date-time> | null

Date the invoice was paid

purchase_order_number
string | null

Purchase order number